import React from 'react';
export interface InputProps extends React.ComponentPropsWithoutRef<'input'> {
    /**
     * Defines the color of the input
     */
    valid?: boolean;
    /**
     * Defines if the input is disabled
     */
    disabled?: boolean;
    /**
     * Defines the type of the input
     */
    type?: string;
    /**
     * Defines new appearance of the input
     */
    className?: string;
}
export declare const inputStyles: {
    base: string;
    active: string;
    disabled: string;
    valid: string;
    invalid: string;
};
declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
export default Input;
//# sourceMappingURL=Input.d.ts.map